<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WordPress editor or any Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$rhythmo_content = '';
$rhythmo_blog_archive_mask = '%%CONTENT%%';
$rhythmo_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $rhythmo_blog_archive_mask);
if ( have_posts() ) {
	the_post();
	if (($rhythmo_content = apply_filters('the_content', get_the_content())) != '') {
		if (($rhythmo_pos = strpos($rhythmo_content, $rhythmo_blog_archive_mask)) !== false) {
			$rhythmo_content = preg_replace('/(\<p\>\s*)?'.$rhythmo_blog_archive_mask.'(\s*\<\/p\>)/i', $rhythmo_blog_archive_subst, $rhythmo_content);
		} else
			$rhythmo_content .= $rhythmo_blog_archive_subst;
		$rhythmo_content = explode($rhythmo_blog_archive_mask, $rhythmo_content);
		// Add VC custom styles to the inline CSS
		$vc_custom_css = get_post_meta( get_the_ID(), '_wpb_shortcodes_custom_css', true );
		if ( !empty( $vc_custom_css ) ) rhythmo_add_inline_css(strip_tags($vc_custom_css));
	}
}

// Prepare args for a new query
$rhythmo_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$rhythmo_args = rhythmo_query_add_posts_and_cats($rhythmo_args, '', rhythmo_get_theme_option('post_type'), rhythmo_get_theme_option('parent_cat'));
$rhythmo_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($rhythmo_page_number > 1) {
	$rhythmo_args['paged'] = $rhythmo_page_number;
	$rhythmo_args['ignore_sticky_posts'] = true;
}
$rhythmo_ppp = rhythmo_get_theme_option('posts_per_page');
if ((int) $rhythmo_ppp != 0)
	$rhythmo_args['posts_per_page'] = (int) $rhythmo_ppp;
// Make a new main query
$GLOBALS['wp_the_query']->query($rhythmo_args);


// Add internal query vars in the new query!
if (is_array($rhythmo_content) && count($rhythmo_content) == 2) {
	set_query_var('blog_archive_start', $rhythmo_content[0]);
	set_query_var('blog_archive_end', $rhythmo_content[1]);
}

get_template_part('index');
?>