<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

$rhythmo_blog_style = explode('_', rhythmo_get_theme_option('blog_style'));
$rhythmo_columns = empty($rhythmo_blog_style[1]) ? 2 : max(2, $rhythmo_blog_style[1]);
$rhythmo_expanded = !rhythmo_sidebar_present() && rhythmo_is_on(rhythmo_get_theme_option('expand_content'));
$rhythmo_post_format = get_post_format();
$rhythmo_post_format = empty($rhythmo_post_format) ? 'standard' : str_replace('post-format-', '', $rhythmo_post_format);
$rhythmo_animation = rhythmo_get_theme_option('blog_animation');
$rhythmo_components = rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('meta_parts'));
$rhythmo_counters = rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('counters'));

?><div class="<?php echo esc_attr($rhythmo_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item'); ?>-1_<?php echo esc_attr($rhythmo_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($rhythmo_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($rhythmo_columns)
					. ' post_layout_'.esc_attr($rhythmo_blog_style[0]) 
					. ' post_layout_'.esc_attr($rhythmo_blog_style[0]).'_'.esc_attr($rhythmo_columns)
					); ?>
	<?php echo (!rhythmo_is_off($rhythmo_animation) ? ' data-animation="'.esc_attr(rhythmo_get_animation_classes($rhythmo_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	rhythmo_show_post_featured( array( 'thumb_size' => rhythmo_get_thumb_size($rhythmo_blog_style[0] == 'classic'
													? (strpos(rhythmo_get_theme_option('body_style'), 'full')!==false 
															? ( $rhythmo_columns > 2 ? 'big' : 'huge' )
															: (	$rhythmo_columns > 2
																? ($rhythmo_expanded ? 'med' : 'small')
																: ($rhythmo_expanded ? 'big' : 'med')
																)
														)
													: (strpos(rhythmo_get_theme_option('body_style'), 'full')!==false 
															? ( $rhythmo_columns > 2 ? 'masonry-big' : 'full' )
															: (	$rhythmo_columns <= 2 && $rhythmo_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($rhythmo_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('rhythmo_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('rhythmo_action_before_post_meta'); 

			// Post meta
			if (!empty($rhythmo_components))
				rhythmo_show_post_meta(apply_filters('rhythmo_filter_post_meta_args', array(
					'components' => $rhythmo_components,
					'counters' => $rhythmo_counters,
					'seo' => false
					), $rhythmo_blog_style[0], $rhythmo_columns)
				);

			do_action('rhythmo_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$rhythmo_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($rhythmo_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($rhythmo_post_format == 'quote') {
				if (($quote = rhythmo_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					rhythmo_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 4)!='[vc_') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($rhythmo_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($rhythmo_components))
				rhythmo_show_post_meta(apply_filters('rhythmo_filter_post_meta_args', array(
					'components' => $rhythmo_components,
					'counters' => $rhythmo_counters
					), $rhythmo_blog_style[0], $rhythmo_columns)
				);
		}
		// More button
		if ( $rhythmo_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'rhythmo'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>