<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

$rhythmo_blog_style = explode('_', rhythmo_get_theme_option('blog_style'));
$rhythmo_columns = empty($rhythmo_blog_style[1]) ? 2 : max(2, $rhythmo_blog_style[1]);
$rhythmo_post_format = get_post_format();
$rhythmo_post_format = empty($rhythmo_post_format) ? 'standard' : str_replace('post-format-', '', $rhythmo_post_format);
$rhythmo_animation = rhythmo_get_theme_option('blog_animation');
$rhythmo_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($rhythmo_columns).' post_format_'.esc_attr($rhythmo_post_format) ); ?>
	<?php echo (!rhythmo_is_off($rhythmo_animation) ? ' data-animation="'.esc_attr(rhythmo_get_animation_classes($rhythmo_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($rhythmo_image[1]) && !empty($rhythmo_image[2])) echo intval($rhythmo_image[1]) .'x' . intval($rhythmo_image[2]); ?>"
	data-src="<?php if (!empty($rhythmo_image[0])) echo esc_url($rhythmo_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$rhythmo_image_hover = 'icon';
	if (in_array($rhythmo_image_hover, array('icons', 'zoom'))) $rhythmo_image_hover = 'dots';
	$rhythmo_components = rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('meta_parts'));
	$rhythmo_counters = rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('counters'));
	rhythmo_show_post_featured(array(
		'hover' => $rhythmo_image_hover,
		'thumb_size' => rhythmo_get_thumb_size( strpos(rhythmo_get_theme_option('body_style'), 'full')!==false || $rhythmo_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($rhythmo_components)
										? rhythmo_show_post_meta(apply_filters('rhythmo_filter_post_meta_args', array(
											'components' => $rhythmo_components,
											'counters' => $rhythmo_counters,
											'seo' => false,
											'echo' => false
											), $rhythmo_blog_style[0], $rhythmo_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'rhythmo') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>