<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

$rhythmo_blog_style = explode('_', rhythmo_get_theme_option('blog_style'));
$rhythmo_columns = empty($rhythmo_blog_style[1]) ? 2 : max(2, $rhythmo_blog_style[1]);
$rhythmo_post_format = get_post_format();
$rhythmo_post_format = empty($rhythmo_post_format) ? 'standard' : str_replace('post-format-', '', $rhythmo_post_format);
$rhythmo_animation = rhythmo_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($rhythmo_columns).' post_format_'.esc_attr($rhythmo_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!rhythmo_is_off($rhythmo_animation) ? ' data-animation="'.esc_attr(rhythmo_get_animation_classes($rhythmo_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$rhythmo_image_hover = rhythmo_get_theme_option('image_hover');
	// Featured image
	rhythmo_show_post_featured(array(
		'thumb_size' => rhythmo_get_thumb_size(strpos(rhythmo_get_theme_option('body_style'), 'full')!==false || $rhythmo_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $rhythmo_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $rhythmo_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>