<?php
/* Content Timeline support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_cool_timeline_theme_setup9')) {
	add_action( 'after_setup_theme', 'rhythmo_cool_timeline_theme_setup9', 9 );
	function rhythmo_cool_timeline_theme_setup9() {
		
		add_filter( 'rhythmo_filter_merge_styles',							'rhythmo_cool_timeline_merge_styles' );
		add_filter( 'rhythmo_filter_merge_styles_responsive',				'rhythmo_cool_timeline_merge_styles_responsive' );

		if (is_admin()) {
			add_filter( 'rhythmo_filter_tgmpa_required_plugins',			'rhythmo_cool_timeline_tgmpa_required_plugins' );
		}

	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_cool_timeline_tgmpa_required_plugins' ) ) {
	
	function rhythmo_cool_timeline_tgmpa_required_plugins($list=array()) {
		if (rhythmo_storage_isset('required_plugins', 'cool-timeline')) {
			$list[] = array(
				'name' 		=> rhythmo_storage_get_array('required_plugins', 'cool-timeline'),
				'slug' 		=> 'cool-timeline',
				'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin is installed and activated
if ( !function_exists( 'rhythmo_exists_cool_timeline' ) ) {
	function rhythmo_exists_cool_timeline() {
		return class_exists( 'CoolTimeline' );
	}
}
	
// Merge custom styles
if ( !function_exists( 'rhythmo_cool_timeline_merge_styles' ) ) {
	
	function rhythmo_cool_timeline_merge_styles($list) {
		if (rhythmo_exists_cool_timeline()) {
			$list[] = 'plugins/cool-timeline/_cool-timeline.scss';
		}
		return $list;
	}
}


// Merge responsive styles
if ( !function_exists( 'rhythmo_cool_timeline_merge_styles_responsive' ) ) {
	
	function rhythmo_cool_timeline_merge_styles_responsive($list) {
		if (rhythmo_exists_cool_timeline()) {
			$list[] = 'plugins/cool-timeline/_cool-timeline-responsive.scss';
		}
		return $list;
	}
}

// Add plugin-specific colors and fonts to the custom CSS
if (rhythmo_exists_cool_timeline()) { require_once RHYTHMO_THEME_DIR . 'plugins/cool-timeline/cool-timeline-styles.php'; }

// Set plugin's specific importer options
if ( !function_exists( 'rhythmo_cool_timeline_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'rhythmo_cool_timeline_importer_set_options' );
   	
    function rhythmo_cool_timeline_importer_set_options($options=array()) {
		if ( in_array('cool-timeline', $options['required_plugins']) && rhythmo_exists_cool_timeline() ) {
			$options['additional_options'][] = 'cool_timeline_settings';	
		}
		return $options;
	}
}
?>