<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( !function_exists( 'rhythmo_mptt_get_css' ) ) {
	add_filter( 'rhythmo_filter_get_css', 'rhythmo_mptt_get_css', 10, 4 );
	function rhythmo_mptt_get_css($css, $colors, $fonts, $scheme='') {
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS

CSS;
			$rad = rhythmo_get_border_radius();
			$rad50 = ' '.$rad != ' 0' ? '50%' : 0;
			$css['fonts'] .= <<<CSS

.post_type_mp-event .timeslot .timeslot-user .avatar,
.post_type_mp-column .event-user .avatar {

}
CSS;
		}

		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* Table */

.mptt-shortcode-wrapper .mptt-shortcode-table tr.mptt-shortcode-row th {
	color: {$colors['extra_dark']};
	background-color: {$colors['extra_bg_color']};
	border-color: {$colors['alter_bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"] td {
	color: {$colors['alter_dark']};
	border-color: {$colors['alter_bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"]:nth-child(2n+1) > td {
	background-color: {$colors['bg_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n+1) td.event {
    background-color: {$colors['alter_bg_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tr[class*="mptt-shortcode-row-"]:nth-child(2n) > td {
	background-color: {$colors['bg_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n) td.event {
    background-color: {$colors['alter_bg_hover']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n) td.event:hover,
.mptt-shortcode-wrapper .mptt-shortcode-table.mptt-theme-mode tbody tr:nth-child(2n+1) td.event:hover  {
    background-color: {$colors['alter_link']};
}

.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container {
	outline-color: {$colors['alter_bd_color']};
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container:hover {
	outline-color: {$colors['alter_bd_hover']};
	background-color: transparent;
}
.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container:hover .mptt-inner-event-content {
	background-color: transparent;
}

/* Slots in the single event */
.post_type_mp-event .timeslot {
	background-color: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
	color: {$colors['alter_text']};
}
.post_type_mp-event .timeslot .timeslot-link {
	color: {$colors['alter_link']};
}
.post_type_mp-event .timeslot:hover {
	background-color: {$colors['alter_bg_hover']};
	border-color: {$colors['alter_bd_hover']};
	color: {$colors['alter_dark']};
}
.post_type_mp-event .timeslot:hover .timeslot-link,
.post_type_mp-event .timeslot:hover .timeslot-link:hover {
	color: {$colors['alter_hover']};
}

CSS;
		}
		
		return $css;
	}
}
?>