<?php
/* MP Timetable support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_mptt_theme_setup9')) {
	add_action( 'after_setup_theme', 'rhythmo_mptt_theme_setup9', 9 );
	function rhythmo_mptt_theme_setup9() {
		
		add_filter( 'rhythmo_filter_merge_styles',					'rhythmo_mptt_merge_styles' );
		add_filter( 'rhythmo_filter_merge_styles_responsive',		'rhythmo_mptt_merge_styles_responsive' );

		if (is_admin()) {
			add_filter( 'rhythmo_filter_tgmpa_required_plugins',	'rhythmo_mptt_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_mptt_tgmpa_required_plugins' ) ) {
	
	function rhythmo_mptt_tgmpa_required_plugins($list=array()) {
		if (rhythmo_storage_isset('required_plugins', 'mp-timetable')) {
			$list[] = array(
					'name' 		=> rhythmo_storage_get_array('required_plugins', 'mp-timetable'),
					'slug' 		=> 'mp-timetable',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin is installed and activated
if ( !function_exists( 'rhythmo_exists_mp_timetable' ) ) {
	function rhythmo_exists_mptt() {
		return class_exists('Mp_Time_Table');
	}
}
	
// Merge custom styles
if ( !function_exists( 'rhythmo_mptt_merge_styles' ) ) {
	
	function rhythmo_mptt_merge_styles($list) {
		if (rhythmo_exists_mptt()) {
			$list[] = 'plugins/mp-timetable/_mp-timetable.scss';
		}
		return $list;
	}
}


// Merge responsive styles
if ( !function_exists( 'rhythmo_mptt_merge_styles_responsive' ) ) {
	
	function rhythmo_mptt_merge_styles_responsive($list) {
		if (rhythmo_exists_mptt()) {
			$list[] = 'plugins/mp-timetable/_mp-timetable-responsive.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (rhythmo_exists_mptt()) { require_once RHYTHMO_THEME_DIR . 'plugins/mp-timetable/mp-timetable-styles.php'; }
?>