<?php
/* Social Pug support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_social_pug_theme_setup9')) {
	add_action( 'after_setup_theme', 'rhythmo_social_pug_theme_setup9', 9 );
	function rhythmo_social_pug_theme_setup9() {

		if (is_admin()) {
			add_filter( 'rhythmo_filter_tgmpa_required_plugins',			'rhythmo_social_pug_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_social_pug_tgmpa_required_plugins' ) ) {
	
	function rhythmo_social_pug_tgmpa_required_plugins($list=array()) {
		if (rhythmo_storage_isset('required_plugins', 'social-pug')) {
			// Social Pug plugin
			$list[] = array(
					'name' 		=> rhythmo_storage_get_array('required_plugins', 'social-pug'),
					'slug' 		=> 'social-pug',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if Social Pug installed and activated
if ( !function_exists( 'rhythmo_exists_social_pug' ) ) {
	function rhythmo_exists_social_pug() {
		return class_exists('Social_Pug');
	}
}

?>