<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_trx_updater_theme_setup9')) {
    add_action( 'after_setup_theme', 'rhythmo_trx_updater_theme_setup9', 9 );
    function rhythmo_trx_updater_theme_setup9() {
        if (is_admin()) {
            add_filter( 'rhythmo_filter_tgmpa_required_plugins','rhythmo_trx_updater_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_trx_updater_tgmpa_required_plugins' ) ) {
    
    function rhythmo_trx_updater_tgmpa_required_plugins($list=array()) {
        if (rhythmo_storage_isset('required_plugins', 'trx_updater')) {
            $path = rhythmo_get_file_dir('plugins/trx_updater/trx_updater.zip');
            if (!empty($path) || rhythmo_get_theme_setting('tgmpa_upload')) {
                $list[] = array(
                    'name'      => rhythmo_storage_get_array('required_plugins', 'trx_updater'),
                    'slug'      => 'trx_updater',
                    'version'   => '1.9.6',
                    'source'    => !empty($path) ? $path : 'upload://trx_updater.zip',
                    'required'  => false
                );
            }
        }
        return $list;
    }
}


    