<?php
/* Yith-Woocommerce-Wishlist  support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_yith_wcwl_theme_setup9')) {
	add_action( 'after_setup_theme', 'rhythmo_yith_wcwl_theme_setup9', 9 );
	function rhythmo_yith_wcwl_theme_setup9() {


		if (is_admin()) {
			add_filter( 'rhythmo_filter_tgmpa_required_plugins',			'rhythmo_yith_wcwl_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_yith_wcwl_tgmpa_required_plugins' ) ) {
	
	function rhythmo_yith_wcwl_tgmpa_required_plugins($list=array()) {
		if (rhythmo_storage_isset('required_plugins', 'yith-woocommerce-wishlist')) {
			// YITH WooCommerce Wishlist plugin
			$list[] = array(
					'name' 		=> rhythmo_storage_get_array('required_plugins', 'yith-woocommerce-wishlist'),
					'slug' 		=> 'yith-woocommerce-wishlist',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if YITH WooCommerce Wishlist installed and activated
if ( !function_exists( 'rhythmo_exists_yith_wcwl' ) ) {
	function rhythmo_exists_yith_wcwl() {
		return class_exists('YITH_WCWL');
	}
}

?>