<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

if (rhythmo_sidebar_present()) {
	ob_start();
	$rhythmo_sidebar_name = rhythmo_get_theme_option('sidebar_widgets');
	rhythmo_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($rhythmo_sidebar_name) ) {
		dynamic_sidebar($rhythmo_sidebar_name);
	}
	$rhythmo_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($rhythmo_out)) {
		$rhythmo_sidebar_position = rhythmo_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($rhythmo_sidebar_position); ?> widget_area<?php if (!rhythmo_is_inherit(rhythmo_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(rhythmo_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'rhythmo_action_before_sidebar' );
				rhythmo_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $rhythmo_out));
				do_action( 'rhythmo_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>