<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.1
 */
 
$rhythmo_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="rhythmo_admin_notice">
	<h3 class="rhythmo_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'rhythmo'),
				$rhythmo_theme_obj->name . (RHYTHMO_THEME_FREE ? ' ' . esc_html__('Free', 'rhythmo') : ''),
				$rhythmo_theme_obj->version
				));
	?></h3>
	<?php
	if (!rhythmo_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('Attention! Plugin "ThemeREX Addons is required! Please, install and activate it!', 'rhythmo')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=rhythmo_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'rhythmo'), $rhythmo_theme_obj->name));
		?></a>
		<?php
		if (rhythmo_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'rhythmo'); ?></a>
			<?php
		}
		if (function_exists('rhythmo_exists_trx_addons') && rhythmo_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'rhythmo'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'rhythmo'); ?></a>
		<span> <?php esc_html_e('or', 'rhythmo'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'rhythmo'); ?></a>
        <a href="#" class="button rhythmo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'rhythmo'); ?></a>
	</p>
</div>