<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.10
 */

$rhythmo_footer_id = str_replace('footer-custom-', '', rhythmo_get_theme_option("footer_style"));
if ((int) $rhythmo_footer_id == 0) {
	$rhythmo_footer_id = rhythmo_get_post_id(array(
												'name' => $rhythmo_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$rhythmo_footer_id = apply_filters('rhythmo_filter_get_translated_layout', $rhythmo_footer_id);
}
$rhythmo_footer_meta = get_post_meta($rhythmo_footer_id, 'trx_addons_options', true);
if (!empty($rhythmo_footer_meta['margin']) != '') 
	rhythmo_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(rhythmo_prepare_css_value($rhythmo_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($rhythmo_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($rhythmo_footer_id))); 
						if (!rhythmo_is_inherit(rhythmo_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(rhythmo_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('rhythmo_action_show_layout', $rhythmo_footer_id);
	?>
</footer><!-- /.footer_wrap -->
