<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.10
 */

// Logo

if (rhythmo_is_on(rhythmo_get_theme_option('logo_in_footer'))) {
	$rhythmo_logo_image = '';
	if (rhythmo_is_on(rhythmo_get_theme_option('logo_retina_enabled')) && rhythmo_get_retina_multiplier() > 1)
		$rhythmo_logo_image = rhythmo_get_theme_option( 'logo_footer_retina' );
	if (empty($rhythmo_logo_image)) 
		$rhythmo_logo_image = rhythmo_get_theme_option( 'logo_footer' );
	$rhythmo_logo_text   = get_bloginfo( 'name' );
	if (!empty($rhythmo_logo_image) || !empty($rhythmo_logo_text)) {
		?>
        <div class="footer_logo_wrap">
            <div class="footer_logo_inner">
                <?php
                if (!empty($rhythmo_logo_image)) {
                    $rhythmo_attr = rhythmo_getimagesize($rhythmo_logo_image);
                    echo '<a href="'.esc_url(home_url('/')).'">'
                        . '<img src="'.esc_url($rhythmo_logo_image).'"'
                        . ' class="logo_footer_image"'
                        . ' alt="'.esc_attr__('Site logo', 'rhythmo').'"'
                        . (!empty($rhythmo_attr[3]) ? ' ' . wp_kses_data($rhythmo_attr[3]) : '')
                        .'>'
                        . '</a>' ;
                } else if (!empty($rhythmo_logo_text)) {
                    echo '<h1 class="logo_footer_text">'
                        . '<a href="'.esc_url(home_url('/')).'">'
                        . esc_html($rhythmo_logo_text)
                        . '</a>'
                        . '</h1>';
                }
                ?>
            </div>
        </div>
		<?php
	}
}
?>