<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.10
 */

// Footer sidebar
$rhythmo_footer_name = rhythmo_get_theme_option('footer_widgets');
$rhythmo_footer_present = !rhythmo_is_off($rhythmo_footer_name) && is_active_sidebar($rhythmo_footer_name);
if ($rhythmo_footer_present) { 
	rhythmo_storage_set('current_sidebar', 'footer');
	$rhythmo_footer_wide = rhythmo_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($rhythmo_footer_name) ) {
		dynamic_sidebar($rhythmo_footer_name);
	}
	$rhythmo_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($rhythmo_out)) {
		$rhythmo_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $rhythmo_out);
		$rhythmo_need_columns = true;
		if ($rhythmo_need_columns) {
			$rhythmo_columns = max(0, (int) rhythmo_get_theme_option('footer_columns'));
			if ($rhythmo_columns == 0) $rhythmo_columns = min(4, max(1, substr_count($rhythmo_out, '<aside ')));
			if ($rhythmo_columns > 1)
				$rhythmo_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($rhythmo_columns).' widget', $rhythmo_out);
			else
				$rhythmo_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($rhythmo_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$rhythmo_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($rhythmo_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'rhythmo_action_before_sidebar' );
				rhythmo_show_layout($rhythmo_out);
				do_action( 'rhythmo_action_after_sidebar' );
				if ($rhythmo_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$rhythmo_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>