<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.06
 */

$rhythmo_header_css = '';
$rhythmo_header_image = get_header_image();
$rhythmo_header_video = rhythmo_get_header_video();
if (!empty($rhythmo_header_image) && rhythmo_trx_addons_featured_image_override(is_singular() || rhythmo_storage_isset('blog_archive') || is_category())) {
	$rhythmo_header_image = rhythmo_get_current_mode_image($rhythmo_header_image);
}

$rhythmo_header_id = str_replace('header-custom-', '', rhythmo_get_theme_option("header_style"));
if ((int) $rhythmo_header_id == 0) {
	$rhythmo_header_id = rhythmo_get_post_id(array(
												'name' => $rhythmo_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$rhythmo_header_id = apply_filters('rhythmo_filter_get_translated_layout', $rhythmo_header_id);
}
$rhythmo_header_meta = get_post_meta($rhythmo_header_id, 'trx_addons_options', true);
if (!empty($rhythmo_header_meta['margin']) != '') 
	rhythmo_add_inline_css(sprintf('.page_content_wrap{padding-top:%s}', esc_attr(rhythmo_prepare_css_value($rhythmo_header_meta['margin']))));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($rhythmo_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($rhythmo_header_id)));
				echo !empty($rhythmo_header_image) || !empty($rhythmo_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($rhythmo_header_video!='') 
					echo ' with_bg_video';
				if ($rhythmo_header_image!='') 
					echo ' '.esc_attr(rhythmo_add_inline_css_class('background-image: url('.esc_url($rhythmo_header_image).');'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (rhythmo_is_on(rhythmo_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight rhythmo-full-height';
				if (!rhythmo_is_inherit(rhythmo_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(rhythmo_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($rhythmo_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('rhythmo_action_show_layout', $rhythmo_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>