<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

$rhythmo_args = get_query_var('rhythmo_logo_args');

// Site logo
$rhythmo_logo_type   = isset($rhythmo_args['type']) ? $rhythmo_args['type'] : '';
$rhythmo_logo_image  = rhythmo_get_logo_image($rhythmo_logo_type);
$rhythmo_logo_text   = rhythmo_is_on(rhythmo_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$rhythmo_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($rhythmo_logo_image) || !empty($rhythmo_logo_text)) {
    ?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($rhythmo_logo_image)) {
			if (empty($rhythmo_logo_type) && function_exists('the_custom_logo') && (int) $rhythmo_logo_image > 0) {
				the_custom_logo();
			} else {
				$rhythmo_attr = rhythmo_getimagesize($rhythmo_logo_image);
				echo '<img src="'.esc_url($rhythmo_logo_image).'" alt="'.esc_attr($rhythmo_logo_text).'"'.(!empty($rhythmo_attr[3]) ? ' '.wp_kses_data($rhythmo_attr[3]) : '').'>';
			}
		} else {
			rhythmo_show_layout(rhythmo_prepare_macros($rhythmo_logo_text), '<span class="logo_text">', '</span>');
			rhythmo_show_layout(rhythmo_prepare_macros($rhythmo_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>