<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(rhythmo_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('rhythmo_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('rhythmo_logo_args', array());

		// Mobile menu
		$rhythmo_menu_mobile = rhythmo_get_nav_menu('menu_mobile');
		if (empty($rhythmo_menu_mobile)) {
			$rhythmo_menu_mobile = apply_filters('rhythmo_filter_get_mobile_menu', '');
			if (empty($rhythmo_menu_mobile)) $rhythmo_menu_mobile = rhythmo_get_nav_menu('menu_main');
			if (empty($rhythmo_menu_mobile)) $rhythmo_menu_mobile = rhythmo_get_nav_menu();
		}
		if (!empty($rhythmo_menu_mobile)) {
			if (!empty($rhythmo_menu_mobile))
				$rhythmo_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$rhythmo_menu_mobile
					);
			if (strpos($rhythmo_menu_mobile, '<nav ')===false)
				$rhythmo_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $rhythmo_menu_mobile);
			rhythmo_show_layout(apply_filters('rhythmo_filter_menu_mobile_layout', $rhythmo_menu_mobile));
		}

		
		// Social icons
		rhythmo_show_layout(rhythmo_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
