<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

// Page (category, tag, archive, author) title

if ( rhythmo_need_page_title() ) {
	rhythmo_sc_layouts_showed('title', true);
	rhythmo_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single()  )  {
							?><div class="sc_layouts_title_meta"><?php
								rhythmo_show_post_meta(apply_filters('rhythmo_filter_post_meta_args', array(
									'components' => rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('meta_parts')),
									'counters' => rhythmo_array_get_keys_by_value(rhythmo_get_theme_option('counters')),
									'seo' => rhythmo_is_on(rhythmo_get_theme_option('seo_snippets'))
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$rhythmo_blog_title = rhythmo_get_blog_title();
							$rhythmo_blog_title_text = $rhythmo_blog_title_class = $rhythmo_blog_title_link = $rhythmo_blog_title_link_text = '';
							if (is_array($rhythmo_blog_title)) {
								$rhythmo_blog_title_text = $rhythmo_blog_title['text'];
								$rhythmo_blog_title_class = !empty($rhythmo_blog_title['class']) ? ' '.$rhythmo_blog_title['class'] : '';
								$rhythmo_blog_title_link = !empty($rhythmo_blog_title['link']) ? $rhythmo_blog_title['link'] : '';
								$rhythmo_blog_title_link_text = !empty($rhythmo_blog_title['link_text']) ? $rhythmo_blog_title['link_text'] : '';
							} else
								$rhythmo_blog_title_text = $rhythmo_blog_title;
							?>
                            <h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($rhythmo_blog_title_class); ?>"><?php
                                $rhythmo_top_icon = rhythmo_get_category_icon();
                                if (!empty($rhythmo_top_icon)) {
                                    $rhythmo_attr = rhythmo_getimagesize($rhythmo_top_icon);
                                    ?><img src="<?php echo esc_url($rhythmo_top_icon); ?>" alt="<?php esc_attr_e('Site icon', 'rhythmo'); ?>" <?php if (!empty($rhythmo_attr[3])) rhythmo_show_layout($rhythmo_attr[3]);?>><?php
                                }
                                echo wp_kses($rhythmo_blog_title_text, 'rhythmo_kses_content');
                                ?></h1>
							<?php
							if (!empty($rhythmo_blog_title_link) && !empty($rhythmo_blog_title_link_text)) {
								?><a href="<?php echo esc_url($rhythmo_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($rhythmo_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php

                        // Breadcrumbs
                        if (rhythmo_exists_trx_addons()) {
                            ?><div class="sc_layouts_title_breadcrumbs"><?php
                            do_action( 'rhythmo_action_breadcrumbs');
                            ?></div><?php
                        }?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>