<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.14
 */
$rhythmo_header_video = rhythmo_get_header_video();
$rhythmo_embed_video = '';
if (!empty($rhythmo_header_video) && !rhythmo_is_from_uploads($rhythmo_header_video)) {
	if (rhythmo_is_youtube_url($rhythmo_header_video) && preg_match('/[=\/]([^=\/]*)$/', $rhythmo_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$rhythmo_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($rhythmo_header_video) . '[/embed]' ));
			$rhythmo_embed_video = rhythmo_make_video_autoplay($rhythmo_embed_video);
		} else {
			$rhythmo_header_video = str_replace('/watch?v=', '/embed/', $rhythmo_header_video);
			$rhythmo_header_video = rhythmo_add_to_url($rhythmo_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$rhythmo_embed_video = '<iframe src="' . esc_url($rhythmo_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php rhythmo_show_layout($rhythmo_embed_video); ?></div><?php
	}
}
?>