<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

// Header sidebar
$rhythmo_header_name = rhythmo_get_theme_option('header_widgets');
$rhythmo_header_present = !rhythmo_is_off($rhythmo_header_name) && is_active_sidebar($rhythmo_header_name);
if ($rhythmo_header_present) { 
	rhythmo_storage_set('current_sidebar', 'header');
	$rhythmo_header_wide = rhythmo_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($rhythmo_header_name) ) {
		dynamic_sidebar($rhythmo_header_name);
	}
	$rhythmo_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($rhythmo_widgets_output)) {
		$rhythmo_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $rhythmo_widgets_output);
		$rhythmo_need_columns = strpos($rhythmo_widgets_output, 'columns_wrap')===false;
		if ($rhythmo_need_columns) {
			$rhythmo_columns = max(0, (int) rhythmo_get_theme_option('header_columns'));
			if ($rhythmo_columns == 0) $rhythmo_columns = min(6, max(1, substr_count($rhythmo_widgets_output, '<aside ')));
			if ($rhythmo_columns > 1)
				$rhythmo_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($rhythmo_columns).' widget', $rhythmo_widgets_output);
			else
				$rhythmo_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($rhythmo_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$rhythmo_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($rhythmo_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'rhythmo_action_before_sidebar' );
				rhythmo_show_layout($rhythmo_widgets_output);
				do_action( 'rhythmo_action_after_sidebar' );
				if ($rhythmo_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$rhythmo_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>