<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

$rhythmo_post_id    = get_the_ID();
$rhythmo_post_date  = rhythmo_get_date();
$rhythmo_post_title = get_the_title();
$rhythmo_post_link  = get_permalink();
$rhythmo_post_author_id   = get_the_author_meta('ID');
$rhythmo_post_author_name = get_the_author_meta('display_name');
$rhythmo_post_author_url  = get_author_posts_url($rhythmo_post_author_id, '');

$rhythmo_args = get_query_var('rhythmo_args_widgets_posts');
$rhythmo_show_date = isset($rhythmo_args['show_date']) ? (int) $rhythmo_args['show_date'] : 1;
$rhythmo_show_image = isset($rhythmo_args['show_image']) ? (int) $rhythmo_args['show_image'] : 1;
$rhythmo_show_author = isset($rhythmo_args['show_author']) ? (int) $rhythmo_args['show_author'] : 1;
$rhythmo_show_counters = isset($rhythmo_args['show_counters']) ? (int) $rhythmo_args['show_counters'] : 1;
$rhythmo_show_categories = isset($rhythmo_args['show_categories']) ? (int) $rhythmo_args['show_categories'] : 1;

$rhythmo_output = rhythmo_storage_get('rhythmo_output_widgets_posts');

$rhythmo_post_counters_output = '';
if ( $rhythmo_show_counters ) {
	$rhythmo_post_counters_output = '<span class="post_info_item post_info_counters">'
								. rhythmo_get_post_counters('comments')
							. '</span>';
}


$rhythmo_output .= '<article class="post_item with_thumb">';

if ($rhythmo_show_image) {
	$rhythmo_post_thumb = get_the_post_thumbnail($rhythmo_post_id, rhythmo_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($rhythmo_post_thumb) $rhythmo_output .= '<div class="post_thumb">' . ($rhythmo_post_link ? '<a href="' . esc_url($rhythmo_post_link) . '">' : '') . ($rhythmo_post_thumb) . ($rhythmo_post_link ? '</a>' : '') . '</div>';
}

$rhythmo_output .= '<div class="post_content">'
			. ($rhythmo_show_categories 
					? '<div class="post_categories">'
						. rhythmo_get_post_categories()
						. $rhythmo_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($rhythmo_post_link ? '<a href="' . esc_url($rhythmo_post_link) . '">' : '') . ($rhythmo_post_title) . ($rhythmo_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('rhythmo_filter_get_post_info', 
								'<div class="post_info">'
									. ($rhythmo_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($rhythmo_post_link ? '<a href="' . esc_url($rhythmo_post_link) . '" class="post_info_date">' : '') 
											. esc_html($rhythmo_post_date) 
											. ($rhythmo_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($rhythmo_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'rhythmo') . ' ' 
											. ($rhythmo_post_link ? '<a href="' . esc_url($rhythmo_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($rhythmo_post_author_name) 
											. ($rhythmo_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$rhythmo_show_categories && $rhythmo_post_counters_output
										? $rhythmo_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
rhythmo_storage_set('rhythmo_output_widgets_posts', $rhythmo_output);
?>